#ifndef _BaseFile_H_
#define _BaseFile_H_

#include "stdafx.h"
#include "fileformatdefs.h"
#include "vardefs.h"
#include <stdio.h>

/*! This is base file class */
class BaseFile
{
public:

	/*! Create an empty \em file */
	BaseFile(){}

	~BaseFile(){}
	
	/*! Returns the current error code status */	
	ErrorCode GetStatus(){ return m_nStatus; }
	
	/*! Sets the current error code status */	
	void SetStatus(ErrorCode eC){ m_nStatus = eC; }

protected:

	/*! The file information */	
	FILEHEADERSTRUCT m_FileHeader;

	/*! Current error code status */	
	ErrorCode m_nStatus;

};

#endif

